Name:           bluez-alsa
Version:        4.0.0
Release:        1%{?dist}
Summary:        Bluetooth Audio ALSA Backend

License:        MIT
Source:         https://github.com/Arkq/bluez-alsa/archive/v%{version}/bluez-alsa-v%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  make
BuildRequires:  libtool
BuildRequires:  gcc
BuildRequires:  alsa-lib-devel
BuildRequires:  bluez-libs-devel
BuildRequires:  glibc-devel
BuildRequires:  glib2-devel
BuildRequires:  sbc-devel
BuildRequires:  python3-docutils
BuildRequires:  (fdk-aac-free-devel or fdk-aac-devel)
BuildRequires:  libldac-devel
BuildRequires:  libfreeaptx-devel
BuildRequires:  lame-devel
BuildRequires:  mpg123-devel
BuildRequires:  dbus-devel
BuildRequires:  readline-devel
BuildRequires:  libbsd-devel
BuildRequires:  ncurses-devel
BuildRequires:  systemd-devel

%description
BlueALSA is designed specifically for use on small, low-powered, dedicated audio or audio/visual systems where the high-level audio management features of PulseAudio or PipeWire are not required. The target system must be able to function correctly with all its audio applications interfacing directly with ALSA. In such systems BlueALSA adds Bluetooth audio support to the existing ALSA sound card support.

%prep
%autosetup

%build
autoreconf --install
%configure \
    --enable-manpages \
    --enable-aac \
    --enable-ldac \
    --enable-libopenaptx \
    --enable-mp3lame \
    --enable-mpg123 \
    --enable-rfcomm \
    --enable-hcitop \
    --enable-cli \
    --enable-systemd \
    --enable-a2dpconf \
    --disable-static \
    --with-bash-completion

%make_build

%install
%make_install

%files
%license LICENSE
%doc AUTHORS NEWS README.md
%{_bindir}/a2dpconf
%{_bindir}/bluealsa
%{_bindir}/bluealsa-aplay
%{_bindir}/bluealsa-cli
%{_bindir}/bluealsa-rfcomm
%{_bindir}/hcitop
%{_unitdir}/bluealsa.service
%{_unitdir}/bluealsa-aplay.service
%{_sysconfdir}/alsa/conf.d/20-bluealsa.conf
%{_sysconfdir}/dbus-1/system.d/bluealsa.conf
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_libdir}/alsa-lib/*.so
%ghost %{_libdir}/alsa-lib/*.la
%{_datadir}/bash-completion/completions/a2dpconf
%{_datadir}/bash-completion/completions/bluealsa
%{_datadir}/bash-completion/completions/bluealsa-aplay
%{_datadir}/bash-completion/completions/bluealsa-cli
%{_datadir}/bash-completion/completions/bluealsa-rfcomm
%{_datadir}/bash-completion/completions/hcitop


%changelog
* Tue Nov 08 2022 Luca Magrone <luca@magrone.cc> - 4.0.0-1
- Initial package release
